package oop2visuals;

import processing.core.PApplet;

public class OOP2Visuals extends PApplet {

	House house = null;
	Human Jhon = null;
	Human Jane = null;
	
	public void setup() {
		noStroke();
		fill(180, 200, 255);
		frameRate(60);
		
		house = new House( new Basement()
				         , new Storey[] {
				        	  new GroundFloor() 
				        	, new Storey()
				        	, new Storey()
				         }
				         , new SlopedRoof()
				         );
		
		Jhon = new Human();
		Jane = new Human();
		Jane.workTime = 8;
		Jane.roadTime = 2;
		Jane.homeTime = 3;
		
		house.storeys[1].registerOwner(Jhon);
		house.storeys[0].registerOwner(Jane);
		
	}

	@Override
	public void draw() {
		clear();
		background(255,255,255);
		house.draw(this, 10, 400);
		Jhon.draw(this, 250, 400);
		Jane.draw(this, 250, 400);
		
	}
	
	public static void main(String _args[]) {
		PApplet.main(new String[] { oop2visuals.OOP2Visuals.class.getName() });
	}

	public void settings(){
		size(800, 600);
		//pixelDensity(2); // for retina displays
	}
}

