package oop2visuals;

import processing.core.PApplet;

public class OOP2Visuals extends PApplet {

	House house = null;
	
	public void setup() {
		noStroke();
		fill(180, 200, 255);
		frameRate(60);
		
		house = new House( new Basement()
				         , new Storey[] {
				        	  new GroundFloor() 
				        	, new Storey()
				        	, new Storey()
				         }
				         );
	}

	@Override
	public void draw() {
		clear();
		background(255,255,255);
		house.draw(this, 10, 400);
		
	}
	
	public static void main(String _args[]) {
		PApplet.main(new String[] { oop2visuals.OOP2Visuals.class.getName() });
	}

	public void settings(){
		size(800, 600);
		//pixelDensity(2); // for retina displays
	}
}

